registration_status=`ky-register --get registration-status`
expired_status=`ky-register --get expired-status`
tips_msg=""

# 未注册用户
if [ "$registration_status" = "unregistered" ]; then
    status_msg=`gettext -d kylin-license "System not activated"`
    tips_msg=`gettext -d kylin-license "Welcome to use KylinSec OS! Your system is not activated. Please activate your system to enjoy the first-class and professional technical support from Kylinsec team.
Contact us: 400-012-6606
"`
    if [ "$PS1" ]; then
        export PS1='\[\e[31m\]['${status_msg}']\[\e[0m\][\[\e[1;32m\]\u@\[\e[1;32m\]\h \[\e[1;34m\]\W\[\e[0m\]]\$ '
    fi
# 已注册
else
    if [ "$expired_status" = "expired" ]; then
        tips_msg=`gettext -d kylin-license "The warranty period of your license for KylinSec OS has expired. Please purchase the technical service again.
Contact us: 400-012-6606
"`
    else
        tips_msg=`gettext -d kylin-license "Welcome to Kylinsec OS.
"`
    fi
    if [ "$PS1" ]; then
          export PS1='[\[\e[1;32m\]\u@\[\e[1;32m\]\h \[\e[1;34m\]\W\[\e[0m\]]\$ '
    fi
fi

echo -e "${tips_msg}"
